import styled, { css } from 'styled-components'

export const OverlayWrapper = styled.div`
  z-index: 2;
  position: fixed;
  height: 100vh;
  width: 100vw;
  pointer-events: none;
`
export const TopLeft = styled.div`
  opacity: 0;
  transform: translateY(-20%);
  transition: all 0.2s ease-in-out;
  padding: 2em;
  ${props =>
    props.$active &&
    css`
      transform: translateY(0%);
      opacity: 1;
    `};
`
